'-----------------------------------------------------------------------------------------
'name                     : Test_Orangutan.bas
'programmed by            : Claus Kuhnel
'date                     : 2009-02-21
'purpose                  : Test of Orangutan SV-168
'micro                    : ATmega168
'tested with              : V.1.11.9.3
'suited for demo          : yes
'commercial addon needed  : no
'-----------------------------------------------------------------------------------------
$regfile = "m168def.dat"                                    ' Set the chip as a Mega 168
$crystal = 20000000                                         ' Clock speed 20 MHZ

$include "orangutan.def"                                    ' include definitions and declarations for Orangutan-SV168

Call Beep(100)                                              ' 100 ms Beep

Cls : Lcd "Test"
Locate 2 , 1
Lcd "Orangutan"

Call Beep(100)                                              ' 100 ms Beep
Wait 2

Cls
Lcd "Blinking"
Locate 2 , 1
Lcd "LEDs...."

Do
   Red_led = 0
   Grn_led = 1
   Waitms 200
   Red_led = 1
   Grn_led = 0
   Waitms 200
Loop                                                        ' Just waste time at the end
End                                                         'end program

$include "orangutan.bas"                                    ' include subroutines and functions for Orangutan-SV168

