'---------------------------------------------------------
' Stackanalyse
'---------------------------------------------------------
$regfile = "m8def.dat"                                      ' ATmega8
$crystal = 3686400                                          ' fr STK500
$baud = 9600                                                ' Baudrate fr UART
$dbg                                                        ' Setzen der DEBUG Option
$sim                                                        ' Unterdrcken der Waits im Simulator

$hwstack = 40                                               ' default use 32 for the hardware stack
$swstack = 20                                               ' default use 10 for the SW stack
$framesize = 50                                             ' default use 40 for the frame space

Dim X As Byte

Declare Sub Toggle_pb1()

Config Portd = Input                                        ' PortD ist Eingang
Config Portb = Output                                       ' PortB ist Ausgang
Portb = 255                                                 ' PortB = Hi

Do
   Reset Portb.0                                            ' LED an PB0 ein
   X = Pind And &B00001100                                  ' Abfage der Eingnge PD2 und PD3
   Select Case X
      Case 8 : Exit Do                                      ' PD2 = Lo - Programmende
      Case 4 : Call Toggle_pb1                              ' PD3 = Lo  Call Sub
      Case Else
   End Select
   Waitms 20
   Set Portb.0                                              ' LED an PB0 aus
   Wait 1
Loop

End

Sub Toggle_pb1()
   Local Y As Single                                        ' nur um Speicher zu belegen
   Local Z As Word                                          ' nur um Speicher zu belegen
   Z = 1234                                                 ' nur um Speicher zu belegen
   Toggle Portb.1                                           ' eigentliche Aktion
   Dbg                                                         ' Ausgabe Statusreport
End Sub