$regfile = "m8def.dat"                                      ' ATmega8
$crystal = 3690000                                          ' fr STK500
$baud = 4800                                                ' NMEA Schnittstelle

Const Instruct = 254
Const Setcursor = 71                                        ' [x] [y]
Const Cleardisplay = 88

Dim C As Byte
Dim I As Byte
Dim Stime As String * 9
Dim Sdate As String * 6
Dim Soutput As String * 11

Declare Sub Wait_for_char(byval C As String)
Declare Sub Wait_for_string(byval S As String)
Declare Function Read_string() As String

Open "Comb.0:19200,8,N,1,inverted" For Output As #1         ' PB0 ist ser. Ausgang
Wait 1
Print #1 , Chr(instruct) ; Chr(cleardisplay);
Print #1 , "Lese $GPRMC..."
Waitms 100

Config Serialin = Buffered , Size = 100                     ' Konfig. der ser. Eingabe
Enable Interrupts
' $GPRMC,hhmmss.ss,A,llll.ll,a,yyyyy.yy,a,x.x,x.x,ddmmyy,x.x,a*hh
Do
   Call Wait_for_string( "$GPRMC,")                         ' Warte auf $GPRMC
   Stime = Read_string()                                    ' Lese UTC Zeitangabe
   For I = 1 To 7                                           ' Lese 7 Kommata
      Call Wait_for_char( ",")
   Next
   Sdate = Read_string()                                    ' Lese Datum
   Soutput = Left(stime , 2) + ":" + Mid(stime , 3 , 2) + ":" + Right(stime , 2)
   Print #1 , Chr(instruct) ; Chr(setcursor) ; Chr(1) ; Chr(3);
   Waitms 100
   Print #1 , Soutput;
   Soutput = Left(sdate , 2) + "." + Mid(sdate , 3 , 2) + "." + Right(sdate , 2)
   Print #1 , Chr(instruct) ; Chr(setcursor) ; Chr(1) ; Chr(4);
   Waitms 100
   Print #1 , Soutput;
Loop

Close #1
End

Sub Wait_for_char(byval C As String)
Local Cc As Byte
Do
   Cc = Waitkey()
Loop Until Cc = Chr(c)
End Sub

Sub Wait_for_string(byval S As String) As String
Local Ii As Byte
Local Cc As Byte

Ii = 1
M1:
   Cc = Waitkey()
   If Cc <> Mid(s , Ii , 1) Then
      Goto M1
   Else
      Incr Ii
      If Ii > Len(s) Then Goto M2
      Goto M1
   End If
M2:
End Sub

Function Read_string() As String
Local Cc As Byte
Local Ss As String * 10
Ss = ""
Do
   Cc = Waitkey()
   Ss = Ss + Chr(cc)
Loop Until Cc = ","
Read_string = Left(ss , 6)
End Function
