$regfile = "m8def.dat"                                      ' specify the used micro
$crystal = 8000000                                          ' used crystal frequency
$baud = 19200                                               ' used baud rate

$hwstack = 32                                               ' default use 32 for the hardware stack
$swstack = 10                                               ' default use 10 for the SW stack
$framesize = 40                                             ' default use 40 for the frame space

$initmicro                                                  ' calls _init_micro subroutine

Do
   Toggle Portb.0
   Waitms 200
Loop

End

_init_micro:
   Config Portb = Output                                    ' PortB is output
   Portb = &HFF                                             ' all pins are Hi
Return