$regfile = "m8515.dat"                                      ' ATmega8515
$crystal = 3686400                                          ' fr STK500

Dim A As Byte , Q As Byte

Config Portb = Output                                       ' Portb ist Ausgang
Portb = 255                                                 ' alle Ausgnge sind Hi

Config Portd = Input                                        ' PortD ist Eingang
Portd = 255                                                 ' PullUp aktiv

'Config Timer0 = Timer , Prescale = 1024 ' Timer0 Konfiguration
Config Timer0 = Timer , Prescale = 8                        ' Timer0 Konfiguration fr Simulator

On Timer0 Timer0_isr                                        ' Timer0 ISR

Enable Timer0                                               ' Enable Timer0 Overflow Interrupt
Enable Interrupts                                           ' Enable Global Interrupt

Do
   Nop
Loop

End

Timer0_isr:                                                 ' Timer0 Overflow ISR
   A = Pind                                                 ' Lesen PinD
   Select Case A                                            ' Zuordnung entsprechend Eingangsbelegung
      Case &B11111110 : Q = &B11110000
      Case &B11111101 : Q = &B00001111
      Case Else Q = &B11111111
   End Select
   Portb = Q                                                ' Ausgabe an PortB
Return