'-------------------------------------------------------------
' RC5 Receiver Test
' Test des Empfangs von Kommandos einer RC5 Fernbedienung
' getested mit einer Tihao-E10in1 Universal-Fernbedienung
' CK 2004-01-30
'-------------------------------------------------------------
$regfile = "m8def.dat"                                      ' ATmega8
$crystal = 3686400                                          ' fr STK500
$baud = 19200

Config Rc5 = Pind.3                                         ' PD3 ist Eingang fr SFH506-36
Portd.3 = 1                                                 ' PullUp aktiv

Enable Interrupts                                           ' Timer0 arbeitet im Hintergrund

Dim Address As Byte , Command As Byte
Dim Flag As Bit
Flag = 1

Do
   Getrc5(address , Command)
   If Flag = 1 Then
      Print "Wait for command"
      Flag = 0
   End If
   If Address <> 255 Then
      Reset Command.7                                       ' Togglebit zurcksetzen
      Cls
      Print "Address: " ; Address ; " Command: " ; Command
      Flag = 1
   End If
Loop

End