$regfile = "m8def.dat" ' ATmega8
$crystal = 3686400                                          ' fr STK500
$baud = 19200

Dim New_time As Bit
Dim Seconds As Byte
Dim Minutes As Byte
Dim Hours As Byte
Dim S As String * 2

Const True = 1
Const False = 0
Const Reload = 57656
'Const Reload = 62500 ' bei 4 Mhz Clock

Config Pind.3 = Input
Portd.3 = 1                                                 ' PullUp aktiv

Config Pinb.5 = Output

Key Alias Pind.3
Led Alias Portb.5
Led = 1                                                     ' LED ausgeschaltet

Config Timer1 = Timer , Prescale = 64
Ocr1ah = High(reload)
Ocr1al = Low(reload)                                        ' Reload Timer1 fr Period von 1 sec
Tccr1a = 0                                                  ' OC1A von T/C1 trennen
Set Tccr1b.3                                                ' Reset T/C1 nach Compare

On Compare1a Timer1_isr                                     ' Sprung zur Timer1_ISR
Enable Compare1a                                            ' Enable Timer Interrupt
Enable Interrupts                                           ' Enable Global Interrupt

Do
   If Key = 0 Then
      New_time = False
      Seconds = 0
      Minutes = 0
      Hours = 0
   End If
   While New_time = True
      If Seconds = 60 Then
         Seconds = 0 : Incr Minutes
      End If
      If Minutes = 60 Then
         Minutes = 0 : Incr Hours
      End If
      If Hours = 24 Then Hours = 0
      S = Str(hours) : S = Format(s , "00") : Print S ; ":";
      S = Str(minutes) : S = Format(s , "00") : Print S ; ":";
      S = Str(seconds) : S = Format(s , "00") : Print S
      New_time = False
   Wend
Loop

End

Timer1_isr:
   New_time = True
   Incr Seconds
   Led = 0 : Waitms 10 : Led = 1
Return