$regfile = "m8def.dat"                                      ' ATmega8
$crystal = 3686400                                          ' for STK500
$baud = 19200

Const Ticks = 10

Dim Count As Byte

Config Timer0 = Counter , Edge = Falling
Load Timer0 , Ticks
Set Portd.4                                                 ' PullUp Aktiv

On Timer0 Timer0_isr                                        ' Sprung zur Timer0 ISR

Config Pind.4 = Input                                       ' PD4 ist Counterinput T0

Enable Timer0                                               ' Enable the timer interrupt
Enable Interrupts                                           ' Enable Global Interrupt

Do
   Print "TCNT0 = " ; Tcnt0 ; Spc(3) ; "Count = " ; Count
   Waitms 200
Loop

End

Timer0_isr:
Load Timer0 , Ticks
Incr Count
Return