$regfile = "m128def.dat"

Config Int0 = Falling                                       ' Interrupt bei fallender Flanke an INT0

Config Portb = Output                                       ' Konfiguriert Portb als Ausgang
Led Alias Portb.0                                           ' LED steht fr Portb.0

On Int0 Int0_isr Nosave                                     ' ISR fr INT0

Enable Int0                                                 ' Enable INT0
Enable Interrupts                                           ' Enable Global Interrupt

Do
Loop

End

Int0_isr: ' ISR
   $asm
   push R24
   push XH
   push XL
   in R24, SREG
   push R24
   $end Asm
   Toggle Led                                               ' Toggle LED
   $asm
   pop R24
   Out Sreg , R24
   pop XL
   pop XH
   pop R24
   $end Asm
Return