$regfile = "m8def.dat"                                      ' ATmega8
$crystal = 3686400                                          ' fr STK500
$baud = 19200

Declare Function Lopulse() As Byte

Dim Value As Byte

Config Pinb.0 = Input
Set Portb.0.0
Inputpin Alias Pinb.0

Config Timer0 = Timer , Prescale = 1

On Timer0 Overflow_isr Nosave

Enable Timer0
Enable Interrupts

Do
   Print "Waiting for pulse..."
   Value = Lopulse()
   Print "Measured Pulse = " ; Value
Loop

End

Function Lopulse() As Byte
   While Inputpin <> 0 : Wend                               ' warte auf Hi-Lo an PB0
   Tcnt0 = 0                                                ' Reset Timer0
   Start Timer0
   While Inputpin = 0 : Wend
   Stop Timer0                                              ' Stop Timer0 nach minimal 26 Zyklen
   Lopulse = Tcnt0
End Function Lopulse()

' Overflow_ISR stoppt Timer0 und setzt TCNT0 zu Null (Timeout)
Overflow_isr:
   !push R24
   Stop Timer0
   Tcnt0 = 0
   !pop R24
Return